clang-tools 8.0.0

Classes | Public Member Functions | Public Attributes | List of all members
clang::clangd::CodeCompletion Struct Reference

`#include <CodeComplete.h>`

Collaboration diagram for clang::clangd::CodeCompletion:
[legend]

## Classes
struct | IncludeCandidate
struct | Scores

## Public Member Functions
CompletionItem | render (const CodeCompleteOptions &) const

## Public Attributes
std::string | Name
std::string | Scope
std::string | RequiredQualifier
std::string | Signature
std::string | SnippetSuffix
std::string | ReturnType
std::string | Documentation
CompletionItemKind | Kind = CompletionItemKind::Missing
unsigned | BundleSize = 1
SymbolOrigin | Origin = SymbolOrigin::Unknown
llvm::SmallVector< IncludeCandidate, 1 > | Includes
std::vector< TextEdit > | FixIts
| Holds information about small corrections that needs to be done. More...
Range | CompletionTokenRange
| Holds the range of the token we are going to replace with this completion. More...
Scores | Score
bool | Deprecated = false
| Indicates if this item is deprecated. More...

## Detailed Description

Definition at line 117 of file CodeComplete.h.

## Member Function Documentation

## ◆ render()

CompletionItem clang::clangd::CodeCompletion::render | ( | const CodeCompleteOptions & | Opts | ) | const

Definition at line 1671 of file CodeComplete.cpp.

Referenced by clang::clangd::operator<<().

## Member Data Documentation

## ◆ BundleSize

unsigned clang::clangd::CodeCompletion::BundleSize = 1

Definition at line 141 of file CodeComplete.h.

## ◆ CompletionTokenRange

Range clang::clangd::CodeCompletion::CompletionTokenRange

Holds the range of the token we are going to replace with this completion.

Definition at line 163 of file CodeComplete.h.

## ◆ Deprecated

bool clang::clangd::CodeCompletion::Deprecated = false

Indicates if this item is deprecated.

Definition at line 189 of file CodeComplete.h.

## ◆ Documentation

std::string clang::clangd::CodeCompletion::Documentation

Definition at line 131 of file CodeComplete.h.

## ◆ FixIts

std::vector<TextEdit> clang::clangd::CodeCompletion::FixIts

Holds information about small corrections that needs to be done.

Like converting '->' to '.' on member access.

Definition at line 160 of file CodeComplete.h.

## ◆ Includes

llvm::SmallVector<IncludeCandidate, 1> clang::clangd::CodeCompletion::Includes

Definition at line 156 of file CodeComplete.h.

## ◆ Kind

CompletionItemKind clang::clangd::CodeCompletion::Kind = CompletionItemKind::Missing

Definition at line 132 of file CodeComplete.h.

## ◆ Name

std::string clang::clangd::CodeCompletion::Name

Definition at line 119 of file CodeComplete.h.

## ◆ Origin

SymbolOrigin clang::clangd::CodeCompletion::Origin = SymbolOrigin::Unknown

Definition at line 142 of file CodeComplete.h.

## ◆ RequiredQualifier

std::string clang::clangd::CodeCompletion::RequiredQualifier

Definition at line 124 of file CodeComplete.h.

## ◆ ReturnType

std::string clang::clangd::CodeCompletion::ReturnType

Definition at line 130 of file CodeComplete.h.

## ◆ Scope

std::string clang::clangd::CodeCompletion::Scope

Definition at line 122 of file CodeComplete.h.

## ◆ Score

Scores clang::clangd::CodeCompletion::Score

Definition at line 186 of file CodeComplete.h.

## ◆ Signature

std::string clang::clangd::CodeCompletion::Signature

Definition at line 126 of file CodeComplete.h.

## ◆ SnippetSuffix

std::string clang::clangd::CodeCompletion::SnippetSuffix

Definition at line 128 of file CodeComplete.h.

The documentation for this struct was generated from the following files:

- CodeComplete.h
- CodeComplete.cpp